<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVouchersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: vouchers
         */
        Schema::create('vouchers', function ($table) {
            $table->increments('id');
            $table->text('data')->nullable();
            $table->double('redeem', 24,2)->nullable();
            $table->string('model_type', 255)->nullable();
            $table->integer('model_id')->nullable();
            $table->dateTime('expire_at')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('vouchers');
    }
}
