<?php

namespace Litecms\Voucher;

use DB;
use Illuminate\Database\Seeder;

class VoucherTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('vouchers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'voucher.voucher.view',
                'name'      => 'View Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.create',
                'name'      => 'Create Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.edit',
                'name'      => 'Update Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.delete',
                'name'      => 'Delete Voucher',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'voucher.voucher.verify',
                'name'      => 'Verify Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.approve',
                'name'      => 'Approve Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.publish',
                'name'      => 'Publish Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.unpublish',
                'name'      => 'Unpublish Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.cancel',
                'name'      => 'Cancel Voucher',
            ],
            [
                'slug'      => 'voucher.voucher.archive',
                'name'      => 'Archive Voucher',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/voucher/voucher',
                'name'        => 'Voucher',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/voucher/voucher',
                'name'        => 'Voucher',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'voucher',
                'name'        => 'Voucher',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Voucher',
                'module'    => 'Voucher',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'voucher.voucher.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
