Lavalite package that provides voucher management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/voucher`.

    "litecms/voucher": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Voucher\Providers\VoucherServiceProvider::class,

And also add it to alias

    'Voucher'  => Litecms\Voucher\Facades\Voucher::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\VoucherTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Voucher\Providers\VoucherServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Voucher\Providers\VoucherServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Voucher\Providers\VoucherServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/voucher/{modulename}

**User**

    http://path-to-route-folder/user/voucher/{modulename}

**Public**

    http://path-to-route-folder/vouchers


### API endpoints

**List**

    http://path-to-route-folder/api/user/voucher/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/voucher/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/voucher/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/voucher/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/voucher/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/voucher/{modulename}/{slug}
    METHOD: GET