<?php

// web routes  for voucher
Route::prefix('{guard}/voucher')->group(function () {
    Route::resource('voucher', 'VoucherResourceController');
});

// Public routes for voucher
Route::get('vouchers/', 'VoucherPublicController@index');
Route::get('vouchers/{slug?}', 'VoucherPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'VoucherResourceController');
            });
            // Public routes for pages
            Route::get('vouchers/', 'VoucherPublicController@index');
            Route::get('vouchers/{slug?}', 'VoucherPublicController@show');
        }
    );
}

