<?php

namespace Litecms\Voucher\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Voucher\Interfaces\VoucherRepositoryInterface;

class VoucherPublicController extends BaseController
{
    // use VoucherWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\Voucher\Interfaces\VoucherRepositoryInterface $voucher
     *
     * @return type
     */
    public function __construct(VoucherRepositoryInterface $voucher)
    {
        $this->repository = $voucher;
        parent::__construct();
    }

    /**
     * Show voucher's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $vouchers = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('voucher::voucher.names'))
            ->view('voucher::public.voucher.index')
            ->data(compact('vouchers'))
            ->output();
    }


    /**
     * Show voucher.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $voucher = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($voucher->name . trans('voucher::voucher.name'))
            ->view('voucher::public.voucher.show')
            ->data(compact('voucher'))
            ->output();
    }

}
