<?php

namespace Litecms\Voucher\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VoucherTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Voucher\Models\Voucher $voucher)
    {
        return [
            'id'                => $voucher->getRouteKey(),
            'key'               => [
                'public'    => $voucher->getPublicKey(),
                'route'     => $voucher->getRouteKey(),
            ], 
            'data'              => $voucher->data,
            'redeem'            => $voucher->redeem,
            'model_type'        => $voucher->model_type,
            'model_id'          => $voucher->model_id,
            'expire_at'         => $voucher->expire_at,
            'deleted_at'        => $voucher->deleted_at,
            'user_id'           => $voucher->user_id,
            'user_type'         => $voucher->user_type,
            'PRIMARY'           => $voucher->PRIMARY,
            'url'               => [
                'public'    => trans_url('voucher/'.$voucher->getPublicKey()),
                'user'      => guard_url('voucher/voucher/'.$voucher->getRouteKey()),
            ], 
            'status'            => trans('app.'.$voucher->status),
            'created_at'        => format_date($voucher->created_at),
            'updated_at'        => format_date($voucher->updated_at),
        ];
    }
}