<?php

namespace Litecms\Voucher;

use User;

class Voucher
{
    /**
     * $voucher object.
     */
    protected $voucher;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Voucher\Interfaces\VoucherRepositoryInterface $voucher)
    {
        $this->voucher = $voucher;
    }

    /**
     * Returns count of voucher.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.voucher.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->voucher->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\VoucherUserCriteria());
        }

        $voucher = $this->voucher->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('voucher::' . $view, compact('voucher'))->render();
    }
}
