<?php

namespace Litecms\Voucher\Workflow;

use Litecms\Voucher\Models\Voucher;
use Litecms\Voucher\Notifications\VoucherWorkflow as VoucherNotifyer;
use Notification;

class VoucherNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Voucher $voucher
     *
     * @return void
     */
    public function complete(Voucher $voucher)
    {
        return Notification::send($voucher->user, new VoucherNotifyer($voucher, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Voucher $voucher
     *
     * @return void
     */
    public function verify(Voucher $voucher)
    {
        return Notification::send($voucher->user, new VoucherNotifyer($voucher, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Voucher $voucher
     *
     * @return void
     */
    public function approve(Voucher $voucher)
    {
        return Notification::send($voucher->user, new VoucherNotifyer($voucher, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Voucher $voucher
     *
     * @return void
     */
    public function publish(Voucher $voucher)
    {
        return Notification::send($voucher->user, new VoucherNotifyer($voucher, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Voucher $voucher
     *
     * @return void
     */
    public function archive(Voucher $voucher)
    {
        return Notification::send($voucher->user, new VoucherNotifyer($voucher, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Voucher $voucher
     *
     * @return void
     */
    public function unpublish(Voucher $voucher)
    {
        return Notification::send($voucher->user, new VoucherNotifyer($voucher, 'unpublish'));;

    }
}
